# Initial spec file created by autospec ver. 0.4.1 with rpm 2.4.12 compatibility
Summary: Convert Windows .ico icon files to .xpm format
# The Summary: line should be expanded to about here -----^
Name: icod
%define version 1.0
Version: %{version}
Release: 1
Group: Applications/Graphics
Copyright: GPL
Source: http://dynaserve.linux.tucows.com/files/x11/graphics/icod.%{version}.tar.gz
BuildRoot: /tmp/icod-%{version}-root
# Following are optional fields
#URL: http://www.example.net/icod/
#Distribution: Red Hat Contrib-Net
#Patch: icod-%{version}.patch
#Prefix: /
#BuildArchitectures: noarch
#Requires: 
#Obsoletes: 

%description
icod is a utility to convert Windows-format icon files (.ico) to X-format
pixmaps (.xpm). I wrote it because none of the image viewing programs I have
(xv, ImageMagick etc) can handle .ico files.
It will extract correctly all icon images from each specified .ico file, and
write out each image to a filename consisting of the basename of the image, the
size, and the bit depth.


%prep
%setup -n icod

%build
make

%install
mkdirhier ${RPM_BUILD_ROOT}/usr/bin
install icod ${RPM_BUILD_ROOT}/usr/bin

%files
%attr(-,root,root) /usr/bin/icod
%attr(-,root,root) %doc README
